Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::FontFace Class Reference

A PangoFontFace C++ wrapper class. More...

`#include <inti/pango/font.h>`

Inheritance diagram for Inti::Pango::FontFace:

List of all members.

## Public Member Functions

Constructors

- virtual ~FontFace ()
    Destructor.

Accessors

- PangoFontFace * pango_font_face () const
    Get a pointer to the PangoFontFace structure.
- operator PangoFontFace * () const
    Conversion operator; safely converts a FontFace to a PangoFontFace pointer.
- Pointer< FontDescription > describe () const
    Returns the family, style, variant, weight and stretch of a font face.
- String get_face_name () const
    Gets a name representing the style of this face among the different faces in the font family for the face.

## Protected Member Functions

Constructors

- FontFace (PangoFontFace *face, bool reference=true)
    Construct a new FontFace from an existing PangoFontFace.

## Detailed Description

A PangoFontFace C++ wrapper class.

The FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

## Constructor & Destructor Documentation

Inti::Pango::FontFace::FontFace | ( | PangoFontFace * | face,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new FontFace from an existing PangoFontFace. Parameters:
  face | A pointer to a PangoFontFace.
  reference | Set false if the initial reference count is floating, set true if it's not.
The face can be a newly created PangoFontFace or an existing PangoFontFace. (see G::Object::Object).

## Member Function Documentation

Pointer<FontDescription> Inti::Pango::FontFace::describe | ( |  | ) | const

| Returns the family, style, variant, weight and stretch of a font face. Returns: A smart pointer to newly-created FontDescription holding the description of the face. The size field of the resulting font description will be unset.

String Inti::Pango::FontFace::get_face_name | ( |  | ) | const

| Gets a name representing the style of this face among the different faces in the font family for the face. Returns: The face name for the face. This name is unique among all faces in the family and is suitable for displaying to users.

The documentation for this class was generated from the following file:

- font.h

Main Page - Footer